> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Replay Invoice

> Replay an invoice. Accepts invoice_source_qid, invoice_qid, or both (validated to match).



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /admin_api/invoices/replay_invoice
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/invoices/replay_invoice:
    post:
      tags:
        - invoice_admin
        - quanta-services-api
      summary: Replay Invoice
      description: >-
        Replay an invoice. Accepts invoice_source_qid, invoice_qid, or both
        (validated to match).
      operationId: replay_invoice
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReplayInvoiceRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReplayInvoiceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReplayInvoiceRequest:
      properties:
        invoice_source_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoice Source Qid
        invoice_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoice Qid
        wait_for_completion:
          type: boolean
          title: Wait For Completion
          default: false
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
      additionalProperties: false
      type: object
      title: ReplayInvoiceRequest
    ReplayInvoiceResponse:
      properties:
        success:
          type: boolean
          title: Success
        invoice_source_qid:
          type: string
          title: Invoice Source Qid
      type: object
      required:
        - success
        - invoice_source_qid
      title: ReplayInvoiceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.